import * as Hemera from 'nats-hemera';
import { IOutputService, IPodsRes, IOutputSettings, INewOutputPod } from '../interfaces';
export declare class OutputMicroservice implements IOutputService {
    private hemera;
    private settings;
    constructor(hemera: Hemera<Request, Response>, settings: IOutputSettings);
    private topic;
    addNewType(podName: string, newItem: INewOutputPod): void;
    getPods(): IPodsRes[];
    getOutput(request: string): any;
    unWatchLogs(): Boolean;
    dispose(): any;
}
